#include <windows.h>

#include "main.h"

extern int PistaActual;
extern void PlayTrack();

HWND TrackList = 0;
int ListaActiva = 0;

LRESULT CALLBACK PlayListProc(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam)
{

	switch(msg)
	{

	case WM_INITDIALOG:

		return TRUE;

	case WM_COMMAND:

		switch(LOWORD(wParam))
		{
		case IDCANCEL:

			ShowWindow(hwnd,SW_HIDE);
			ListaActiva = 0;
			SetForegroundWindow(hwndMain);
			return TRUE;

		}
		switch(HIWORD(wParam))
		{
			int cursel;
		case LBN_DBLCLK:
			cursel = SendMessage(TrackList,LB_GETCURSEL,0,0);
			char TrackNum[20];
			ActualPos=0;
			ActualMin=0;
			ActualSec=0;
			wsprintf(TrackNum, "%i  0:00", PistaActual);
			SendMessage(Display, WM_SETTEXT, 0, (LPARAM) TrackNum);
			PistaActual = cursel+1;
			SendMessage(TrackBar, TBM_SETPOS, (WPARAM) TRUE , (LPARAM) (LONG)ActualPos);
			PlayTrack(ActualMin, ActualSec);
			break;
		}
		break;

	case WM_DESTROY:

		ListaActiva = 0;
		ShowWindow(hwnd,SW_HIDE);
		break;
	}
	return FALSE;

}

void UpdatePlayList()
{


	char Pista[32];
	int numpistas = MaxPistas;

	TrackList = GetDlgItem(hwndPList,IDD_TRACKLIST);
	strncpy(Pista,"",sizeof(Pista));
	for (int i = 1; i <= numpistas ; i++)
	{
		wsprintf(Pista,"Track %i",i);
		SendMessage(TrackList, LB_ADDSTRING, 0,
			(LPARAM) Pista);
		SendMessage(TrackList, LB_SETITEMDATA, i, (LPARAM) i);

	}

}

void ClearTrackList()
{
	SendMessage(TrackList,LB_RESETCONTENT, 0, 0);
}

